/******************************************************************************
 *{@C
 *      Copyright:      2005-2008 Paul Obermeier (obermeier@tcl3d.org)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D -> tcl3dOgl
 *      Filename:       glxext.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG module for wrapping the platform specific
 *                      OpenGL extension library contained in files
 *                      wglext.h for Windows or glxext.h for X based systems.
 *
 *****************************************************************************/

%module glxext

%{
#if !defined (IRIX64)
    /*#define GLX_SGIX_fbconfig */
#else
    #define GLXFBConfig GLXFBConfigSGIX
    typedef XID GLXWindow;
    typedef XID GLXPbuffer;
#endif
#include <glprocs.h>
#include <GL/glx.h>
#include <GL/glxext.h>
%}

#define GL_GLEXT_PROTOTYPES
#define GLX_GLXEXT_PROTOTYPES
#define _LANGUAGE_C     /* Needed for SGI */
#define GL_MESA_trace   /* Needed for Linux */

%include <GL/glxext.h>

%{
#include <glprocs.h>
%}
